package com.fs.qw.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fs.qw.domain.IpadAllocationRecords;
import com.fs.qw.mapper.IpadAllocationRecordsMapper;
import com.fs.qw.service.IIpadAllocationRecordsService;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 分配记录Service业务层处理
 *
 * @author fs
 * @date 2025-11-20
 */
@Service
public class IpadAllocationRecordsServiceImpl extends ServiceImpl<IpadAllocationRecordsMapper, IpadAllocationRecords> implements IIpadAllocationRecordsService {

    /**
     * 查询分配记录
     *
     * @param id 分配记录主键
     * @return 分配记录
     */
    @Override
    public IpadAllocationRecords selectIpadAllocationRecordsById(Long id)
    {
        return baseMapper.selectIpadAllocationRecordsById(id);
    }

    /**
     * 查询分配记录列表
     *
     * @param ipadAllocationRecords 分配记录
     * @return 分配记录
     */
    @Override
    public List<IpadAllocationRecords> selectIpadAllocationRecordsList(IpadAllocationRecords ipadAllocationRecords)
    {
        return baseMapper.selectIpadAllocationRecordsList(ipadAllocationRecords);
    }

    /**
     * 新增分配记录
     *
     * @param ipadAllocationRecords 分配记录
     * @return 结果
     */
    @Override
    public int insertIpadAllocationRecords(IpadAllocationRecords ipadAllocationRecords)
    {
        return baseMapper.insertIpadAllocationRecords(ipadAllocationRecords);
    }

    /**
     * 修改分配记录
     *
     * @param ipadAllocationRecords 分配记录
     * @return 结果
     */
    @Override
    public int updateIpadAllocationRecords(IpadAllocationRecords ipadAllocationRecords)
    {
        return baseMapper.updateIpadAllocationRecords(ipadAllocationRecords);
    }

    /**
     * 批量删除分配记录
     *
     * @param ids 需要删除的分配记录主键
     * @return 结果
     */
    @Override
    public int deleteIpadAllocationRecordsByIds(Long[] ids)
    {
        return baseMapper.deleteIpadAllocationRecordsByIds(ids);
    }

    /**
     * 删除分配记录信息
     *
     * @param id 分配记录主键
     * @return 结果
     */
    @Override
    public int deleteIpadAllocationRecordsById(Long id)
    {
        return baseMapper.deleteIpadAllocationRecordsById(id);
    }
}
